Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Class LDAPPrincipal

`java.lang.Object
oracle.security.jazn.realm.GenericPrincipal
oracle.security.jazn.realm.LDAPPrincipal`

All Implemented Interfaces:
  java.lang.Comparable, java.security.Principal, RealmPrincipal, java.io.Serializable

public class LDAPPrincipal
extends GenericPrincipal
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `_dn`

Fields inherited from class oracle.security.jazn.realm.GenericPrincipal
`_canonicalName, _desc, _name`

Constructor Summary
`LDAPPrincipal(java.lang.String dn)`

Method Summary
`boolean` | `equals(java.lang.Object lp)` equals() of Principal
`java.lang.String` | `getDN()` Return the DN of the principal
`protected java.lang.String` | `getSimpleName(java.lang.String dn)` Given a DN, return the simple name.

Methods inherited from class oracle.security.jazn.realm.GenericPrincipal
`compareTo, compareTo, getDescription, getDisplayName, getFullName, getName, getRealm, hashCode, setDescription, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _dn

    protected java.lang.String _dn

Constructor Detail

### LDAPPrincipal

    public LDAPPrincipal(java.lang.String dn)

Method Detail

### getDN

    public java.lang.String getDN()

  Return the DN of the principal

### getSimpleName

    protected java.lang.String getSimpleName(java.lang.String dn)

  Given a DN, return the simple name.

### equals

    public boolean equals(java.lang.Object lp)

  equals() of Principal
  Specified by:
    `equals` in interface `java.security.Principal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.